Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/116
Addresses4,096
/64 networksPart of one
Network
64:ff9b::a07:1000/116
First address
64:ff9b::a07:1000
Last address
64:ff9b::a07:1fff
Addresses
4,096
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
0064:ff9b:0000:0000:0000:0000:0a07:1000
Type
NAT64 64:ff9b::/96
IPv4 addresses reached through a NAT64 gateway
Reverse DNS zone
1.7.0.a.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.b.9.f.f.4.6.0.0.ip6.arpa
Split into smaller subnets/127

64:ff9b::a07:1000/116 makes 2,048 subnets of /127; the first 256 are listed.

Subnets
#SubnetLast address
164:ff9b::a07:1000/12764:ff9b::a07:1001
264:ff9b::a07:1002/12764:ff9b::a07:1003
364:ff9b::a07:1004/12764:ff9b::a07:1005
464:ff9b::a07:1006/12764:ff9b::a07:1007
564:ff9b::a07:1008/12764:ff9b::a07:1009
664:ff9b::a07:100a/12764:ff9b::a07:100b
764:ff9b::a07:100c/12764:ff9b::a07:100d
864:ff9b::a07:100e/12764:ff9b::a07:100f
964:ff9b::a07:1010/12764:ff9b::a07:1011
1064:ff9b::a07:1012/12764:ff9b::a07:1013
1164:ff9b::a07:1014/12764:ff9b::a07:1015
1264:ff9b::a07:1016/12764:ff9b::a07:1017
1364:ff9b::a07:1018/12764:ff9b::a07:1019
1464:ff9b::a07:101a/12764:ff9b::a07:101b
1564:ff9b::a07:101c/12764:ff9b::a07:101d
1664:ff9b::a07:101e/12764:ff9b::a07:101f
1764:ff9b::a07:1020/12764:ff9b::a07:1021
1864:ff9b::a07:1022/12764:ff9b::a07:1023
1964:ff9b::a07:1024/12764:ff9b::a07:1025
2064:ff9b::a07:1026/12764:ff9b::a07:1027
2164:ff9b::a07:1028/12764:ff9b::a07:1029
2264:ff9b::a07:102a/12764:ff9b::a07:102b
2364:ff9b::a07:102c/12764:ff9b::a07:102d
2464:ff9b::a07:102e/12764:ff9b::a07:102f
2564:ff9b::a07:1030/12764:ff9b::a07:1031
2664:ff9b::a07:1032/12764:ff9b::a07:1033
2764:ff9b::a07:1034/12764:ff9b::a07:1035
2864:ff9b::a07:1036/12764:ff9b::a07:1037
2964:ff9b::a07:1038/12764:ff9b::a07:1039
3064:ff9b::a07:103a/12764:ff9b::a07:103b
3164:ff9b::a07:103c/12764:ff9b::a07:103d
3264:ff9b::a07:103e/12764:ff9b::a07:103f
3364:ff9b::a07:1040/12764:ff9b::a07:1041
3464:ff9b::a07:1042/12764:ff9b::a07:1043
3564:ff9b::a07:1044/12764:ff9b::a07:1045
3664:ff9b::a07:1046/12764:ff9b::a07:1047
3764:ff9b::a07:1048/12764:ff9b::a07:1049
3864:ff9b::a07:104a/12764:ff9b::a07:104b
3964:ff9b::a07:104c/12764:ff9b::a07:104d
4064:ff9b::a07:104e/12764:ff9b::a07:104f
4164:ff9b::a07:1050/12764:ff9b::a07:1051
4264:ff9b::a07:1052/12764:ff9b::a07:1053
4364:ff9b::a07:1054/12764:ff9b::a07:1055
4464:ff9b::a07:1056/12764:ff9b::a07:1057
4564:ff9b::a07:1058/12764:ff9b::a07:1059
4664:ff9b::a07:105a/12764:ff9b::a07:105b
4764:ff9b::a07:105c/12764:ff9b::a07:105d
4864:ff9b::a07:105e/12764:ff9b::a07:105f
4964:ff9b::a07:1060/12764:ff9b::a07:1061
5064:ff9b::a07:1062/12764:ff9b::a07:1063
5164:ff9b::a07:1064/12764:ff9b::a07:1065
5264:ff9b::a07:1066/12764:ff9b::a07:1067
5364:ff9b::a07:1068/12764:ff9b::a07:1069
5464:ff9b::a07:106a/12764:ff9b::a07:106b
5564:ff9b::a07:106c/12764:ff9b::a07:106d
5664:ff9b::a07:106e/12764:ff9b::a07:106f
5764:ff9b::a07:1070/12764:ff9b::a07:1071
5864:ff9b::a07:1072/12764:ff9b::a07:1073
5964:ff9b::a07:1074/12764:ff9b::a07:1075
6064:ff9b::a07:1076/12764:ff9b::a07:1077
6164:ff9b::a07:1078/12764:ff9b::a07:1079
6264:ff9b::a07:107a/12764:ff9b::a07:107b
6364:ff9b::a07:107c/12764:ff9b::a07:107d
6464:ff9b::a07:107e/12764:ff9b::a07:107f
6564:ff9b::a07:1080/12764:ff9b::a07:1081
6664:ff9b::a07:1082/12764:ff9b::a07:1083
6764:ff9b::a07:1084/12764:ff9b::a07:1085
6864:ff9b::a07:1086/12764:ff9b::a07:1087
6964:ff9b::a07:1088/12764:ff9b::a07:1089
7064:ff9b::a07:108a/12764:ff9b::a07:108b
7164:ff9b::a07:108c/12764:ff9b::a07:108d
7264:ff9b::a07:108e/12764:ff9b::a07:108f
7364:ff9b::a07:1090/12764:ff9b::a07:1091
7464:ff9b::a07:1092/12764:ff9b::a07:1093
7564:ff9b::a07:1094/12764:ff9b::a07:1095
7664:ff9b::a07:1096/12764:ff9b::a07:1097
7764:ff9b::a07:1098/12764:ff9b::a07:1099
7864:ff9b::a07:109a/12764:ff9b::a07:109b
7964:ff9b::a07:109c/12764:ff9b::a07:109d
8064:ff9b::a07:109e/12764:ff9b::a07:109f
8164:ff9b::a07:10a0/12764:ff9b::a07:10a1
8264:ff9b::a07:10a2/12764:ff9b::a07:10a3
8364:ff9b::a07:10a4/12764:ff9b::a07:10a5
8464:ff9b::a07:10a6/12764:ff9b::a07:10a7
8564:ff9b::a07:10a8/12764:ff9b::a07:10a9
8664:ff9b::a07:10aa/12764:ff9b::a07:10ab
8764:ff9b::a07:10ac/12764:ff9b::a07:10ad
8864:ff9b::a07:10ae/12764:ff9b::a07:10af
8964:ff9b::a07:10b0/12764:ff9b::a07:10b1
9064:ff9b::a07:10b2/12764:ff9b::a07:10b3
9164:ff9b::a07:10b4/12764:ff9b::a07:10b5
9264:ff9b::a07:10b6/12764:ff9b::a07:10b7
9364:ff9b::a07:10b8/12764:ff9b::a07:10b9
9464:ff9b::a07:10ba/12764:ff9b::a07:10bb
9564:ff9b::a07:10bc/12764:ff9b::a07:10bd
9664:ff9b::a07:10be/12764:ff9b::a07:10bf
9764:ff9b::a07:10c0/12764:ff9b::a07:10c1
9864:ff9b::a07:10c2/12764:ff9b::a07:10c3
9964:ff9b::a07:10c4/12764:ff9b::a07:10c5
10064:ff9b::a07:10c6/12764:ff9b::a07:10c7
10164:ff9b::a07:10c8/12764:ff9b::a07:10c9
10264:ff9b::a07:10ca/12764:ff9b::a07:10cb
10364:ff9b::a07:10cc/12764:ff9b::a07:10cd
10464:ff9b::a07:10ce/12764:ff9b::a07:10cf
10564:ff9b::a07:10d0/12764:ff9b::a07:10d1
10664:ff9b::a07:10d2/12764:ff9b::a07:10d3
10764:ff9b::a07:10d4/12764:ff9b::a07:10d5
10864:ff9b::a07:10d6/12764:ff9b::a07:10d7
10964:ff9b::a07:10d8/12764:ff9b::a07:10d9
11064:ff9b::a07:10da/12764:ff9b::a07:10db
11164:ff9b::a07:10dc/12764:ff9b::a07:10dd
11264:ff9b::a07:10de/12764:ff9b::a07:10df
11364:ff9b::a07:10e0/12764:ff9b::a07:10e1
11464:ff9b::a07:10e2/12764:ff9b::a07:10e3
11564:ff9b::a07:10e4/12764:ff9b::a07:10e5
11664:ff9b::a07:10e6/12764:ff9b::a07:10e7
11764:ff9b::a07:10e8/12764:ff9b::a07:10e9
11864:ff9b::a07:10ea/12764:ff9b::a07:10eb
11964:ff9b::a07:10ec/12764:ff9b::a07:10ed
12064:ff9b::a07:10ee/12764:ff9b::a07:10ef
12164:ff9b::a07:10f0/12764:ff9b::a07:10f1
12264:ff9b::a07:10f2/12764:ff9b::a07:10f3
12364:ff9b::a07:10f4/12764:ff9b::a07:10f5
12464:ff9b::a07:10f6/12764:ff9b::a07:10f7
12564:ff9b::a07:10f8/12764:ff9b::a07:10f9
12664:ff9b::a07:10fa/12764:ff9b::a07:10fb
12764:ff9b::a07:10fc/12764:ff9b::a07:10fd
12864:ff9b::a07:10fe/12764:ff9b::a07:10ff
12964:ff9b::a07:1100/12764:ff9b::a07:1101
13064:ff9b::a07:1102/12764:ff9b::a07:1103
13164:ff9b::a07:1104/12764:ff9b::a07:1105
13264:ff9b::a07:1106/12764:ff9b::a07:1107
13364:ff9b::a07:1108/12764:ff9b::a07:1109
13464:ff9b::a07:110a/12764:ff9b::a07:110b
13564:ff9b::a07:110c/12764:ff9b::a07:110d
13664:ff9b::a07:110e/12764:ff9b::a07:110f
13764:ff9b::a07:1110/12764:ff9b::a07:1111
13864:ff9b::a07:1112/12764:ff9b::a07:1113
13964:ff9b::a07:1114/12764:ff9b::a07:1115
14064:ff9b::a07:1116/12764:ff9b::a07:1117
14164:ff9b::a07:1118/12764:ff9b::a07:1119
14264:ff9b::a07:111a/12764:ff9b::a07:111b
14364:ff9b::a07:111c/12764:ff9b::a07:111d
14464:ff9b::a07:111e/12764:ff9b::a07:111f
14564:ff9b::a07:1120/12764:ff9b::a07:1121
14664:ff9b::a07:1122/12764:ff9b::a07:1123
14764:ff9b::a07:1124/12764:ff9b::a07:1125
14864:ff9b::a07:1126/12764:ff9b::a07:1127
14964:ff9b::a07:1128/12764:ff9b::a07:1129
15064:ff9b::a07:112a/12764:ff9b::a07:112b
15164:ff9b::a07:112c/12764:ff9b::a07:112d
15264:ff9b::a07:112e/12764:ff9b::a07:112f
15364:ff9b::a07:1130/12764:ff9b::a07:1131
15464:ff9b::a07:1132/12764:ff9b::a07:1133
15564:ff9b::a07:1134/12764:ff9b::a07:1135
15664:ff9b::a07:1136/12764:ff9b::a07:1137
15764:ff9b::a07:1138/12764:ff9b::a07:1139
15864:ff9b::a07:113a/12764:ff9b::a07:113b
15964:ff9b::a07:113c/12764:ff9b::a07:113d
16064:ff9b::a07:113e/12764:ff9b::a07:113f
16164:ff9b::a07:1140/12764:ff9b::a07:1141
16264:ff9b::a07:1142/12764:ff9b::a07:1143
16364:ff9b::a07:1144/12764:ff9b::a07:1145
16464:ff9b::a07:1146/12764:ff9b::a07:1147
16564:ff9b::a07:1148/12764:ff9b::a07:1149
16664:ff9b::a07:114a/12764:ff9b::a07:114b
16764:ff9b::a07:114c/12764:ff9b::a07:114d
16864:ff9b::a07:114e/12764:ff9b::a07:114f
16964:ff9b::a07:1150/12764:ff9b::a07:1151
17064:ff9b::a07:1152/12764:ff9b::a07:1153
17164:ff9b::a07:1154/12764:ff9b::a07:1155
17264:ff9b::a07:1156/12764:ff9b::a07:1157
17364:ff9b::a07:1158/12764:ff9b::a07:1159
17464:ff9b::a07:115a/12764:ff9b::a07:115b
17564:ff9b::a07:115c/12764:ff9b::a07:115d
17664:ff9b::a07:115e/12764:ff9b::a07:115f
17764:ff9b::a07:1160/12764:ff9b::a07:1161
17864:ff9b::a07:1162/12764:ff9b::a07:1163
17964:ff9b::a07:1164/12764:ff9b::a07:1165
18064:ff9b::a07:1166/12764:ff9b::a07:1167
18164:ff9b::a07:1168/12764:ff9b::a07:1169
18264:ff9b::a07:116a/12764:ff9b::a07:116b
18364:ff9b::a07:116c/12764:ff9b::a07:116d
18464:ff9b::a07:116e/12764:ff9b::a07:116f
18564:ff9b::a07:1170/12764:ff9b::a07:1171
18664:ff9b::a07:1172/12764:ff9b::a07:1173
18764:ff9b::a07:1174/12764:ff9b::a07:1175
18864:ff9b::a07:1176/12764:ff9b::a07:1177
18964:ff9b::a07:1178/12764:ff9b::a07:1179
19064:ff9b::a07:117a/12764:ff9b::a07:117b
19164:ff9b::a07:117c/12764:ff9b::a07:117d
19264:ff9b::a07:117e/12764:ff9b::a07:117f
19364:ff9b::a07:1180/12764:ff9b::a07:1181
19464:ff9b::a07:1182/12764:ff9b::a07:1183
19564:ff9b::a07:1184/12764:ff9b::a07:1185
19664:ff9b::a07:1186/12764:ff9b::a07:1187
19764:ff9b::a07:1188/12764:ff9b::a07:1189
19864:ff9b::a07:118a/12764:ff9b::a07:118b
19964:ff9b::a07:118c/12764:ff9b::a07:118d
20064:ff9b::a07:118e/12764:ff9b::a07:118f
20164:ff9b::a07:1190/12764:ff9b::a07:1191
20264:ff9b::a07:1192/12764:ff9b::a07:1193
20364:ff9b::a07:1194/12764:ff9b::a07:1195
20464:ff9b::a07:1196/12764:ff9b::a07:1197
20564:ff9b::a07:1198/12764:ff9b::a07:1199
20664:ff9b::a07:119a/12764:ff9b::a07:119b
20764:ff9b::a07:119c/12764:ff9b::a07:119d
20864:ff9b::a07:119e/12764:ff9b::a07:119f
20964:ff9b::a07:11a0/12764:ff9b::a07:11a1
21064:ff9b::a07:11a2/12764:ff9b::a07:11a3
21164:ff9b::a07:11a4/12764:ff9b::a07:11a5
21264:ff9b::a07:11a6/12764:ff9b::a07:11a7
21364:ff9b::a07:11a8/12764:ff9b::a07:11a9
21464:ff9b::a07:11aa/12764:ff9b::a07:11ab
21564:ff9b::a07:11ac/12764:ff9b::a07:11ad
21664:ff9b::a07:11ae/12764:ff9b::a07:11af
21764:ff9b::a07:11b0/12764:ff9b::a07:11b1
21864:ff9b::a07:11b2/12764:ff9b::a07:11b3
21964:ff9b::a07:11b4/12764:ff9b::a07:11b5
22064:ff9b::a07:11b6/12764:ff9b::a07:11b7
22164:ff9b::a07:11b8/12764:ff9b::a07:11b9
22264:ff9b::a07:11ba/12764:ff9b::a07:11bb
22364:ff9b::a07:11bc/12764:ff9b::a07:11bd
22464:ff9b::a07:11be/12764:ff9b::a07:11bf
22564:ff9b::a07:11c0/12764:ff9b::a07:11c1
22664:ff9b::a07:11c2/12764:ff9b::a07:11c3
22764:ff9b::a07:11c4/12764:ff9b::a07:11c5
22864:ff9b::a07:11c6/12764:ff9b::a07:11c7
22964:ff9b::a07:11c8/12764:ff9b::a07:11c9
23064:ff9b::a07:11ca/12764:ff9b::a07:11cb
23164:ff9b::a07:11cc/12764:ff9b::a07:11cd
23264:ff9b::a07:11ce/12764:ff9b::a07:11cf
23364:ff9b::a07:11d0/12764:ff9b::a07:11d1
23464:ff9b::a07:11d2/12764:ff9b::a07:11d3
23564:ff9b::a07:11d4/12764:ff9b::a07:11d5
23664:ff9b::a07:11d6/12764:ff9b::a07:11d7
23764:ff9b::a07:11d8/12764:ff9b::a07:11d9
23864:ff9b::a07:11da/12764:ff9b::a07:11db
23964:ff9b::a07:11dc/12764:ff9b::a07:11dd
24064:ff9b::a07:11de/12764:ff9b::a07:11df
24164:ff9b::a07:11e0/12764:ff9b::a07:11e1
24264:ff9b::a07:11e2/12764:ff9b::a07:11e3
24364:ff9b::a07:11e4/12764:ff9b::a07:11e5
24464:ff9b::a07:11e6/12764:ff9b::a07:11e7
24564:ff9b::a07:11e8/12764:ff9b::a07:11e9
24664:ff9b::a07:11ea/12764:ff9b::a07:11eb
24764:ff9b::a07:11ec/12764:ff9b::a07:11ed
24864:ff9b::a07:11ee/12764:ff9b::a07:11ef
24964:ff9b::a07:11f0/12764:ff9b::a07:11f1
25064:ff9b::a07:11f2/12764:ff9b::a07:11f3
25164:ff9b::a07:11f4/12764:ff9b::a07:11f5
25264:ff9b::a07:11f6/12764:ff9b::a07:11f7
25364:ff9b::a07:11f8/12764:ff9b::a07:11f9
25464:ff9b::a07:11fa/12764:ff9b::a07:11fb
25564:ff9b::a07:11fc/12764:ff9b::a07:11fd
25664:ff9b::a07:11fe/12764:ff9b::a07:11ff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses